scoped_allocator File Reference

Go to the source code of this file.

## Classes

class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >
class | std::scoped_allocator_adaptor< _OuterAlloc, _InnerAllocs >

## Namespaces

| std

## Macros

#define | _SCOPED_ALLOCATOR

## Typedefs

template<typename _Alloc >
using | std::__outer_allocator_t = decltype(std::declval< _Alloc >().outer_allocator())

## Functions

template<typename _Alloc >
__outermost_type< _Alloc >::type & | std::__outermost (_Alloc &__a)
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator!= (const scoped_allocator_adaptor< _OutA1, _InA... > &__a, const scoped_allocator_adaptor< _OutA2, _InA... > &__b) noexcept
template<typename _OutA1 , typename _OutA2 , typename... _InA>
bool | std::operator== (const scoped_allocator_adaptor< _OutA1, _InA... > &__a, const scoped_allocator_adaptor< _OutA2, _InA... > &__b) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file scoped_allocator.